//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis
//*  (C) Joachim Wuttke 1990-, v2(C++) 2001-
//*  http://apps.jcns.fz-juelich.de/frida
//**************************************************************************************************

//! \file  gnuplotter.hpp
//! \brief Declares class CGnuPlotter

#include <string>
#include <vector>

class CAxis;

class CGnuPlotter {
public:
    CGnuPlotter(int _iPlot);
    void clear();
    void write(const std::string& in);
    void plot_frame(const CAxis& _X, const CAxis& _Y);
    void add_spec(
        bool as_line, bool new_slice, bool plot_errorbars, int style_no,
        const std::vector<double>& xp, const std::vector<double>& yp,
        const std::vector<double>& dyp, const std::vector<std::string>& zentries,
        const std::string& xco, const std::string& yco, const std::string& info);
    void show_specs();
private:
    const CAxis* X;
    const CAxis* Y;
    int iPlot;
    int gp_fifo; //!< Pipe to Gnuplot.
    int gp_fno; //!< Number of Gnuplot input file.
    std::string gp_fnames; //!< List of currently plotted Gnuplot input file names.
};
