//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis
//*  (C) Joachim Wuttke 1990-, v2(C++) 2001-
//*  http://apps.jcns.fz-juelich.de/frida
//**************************************************************************************************

//! \file  ps_plotter.hpp
//! \brief Declares class CPS_Plotter

#include <string>
#include <vector>

class CAxis;

class CPS_Plotter {
public:
    CPS_Plotter() {}
    void clear();
    void plot_frame(const CAxis& _X, const CAxis& _Y,
                    const std::string& xlabel, const std::string& ylabel);
    void add_spec(
        bool as_line, bool new_slice, int style_no,
        const std::vector<double>& xp, const std::vector<double>& yp,
        const std::vector<double>& dyp, const std::vector<std::string>& zentries,
        const std::string& xco, const std::string& yco, const std::string& info);
    void doc_line(const std::string& line);
    void write_postscript(
        const std::string& mode, const std::string& fname, const std::string& ps_outdir,
        const std::string& ps_head, const std::string& ps_cont, const std::string& ps_dict);
private:
    const CAxis* X;
    const CAxis* Y;
    int ps_snum; //!< Slice number in Postscript file.
    void
    ps_ticktack(const std::vector<double>& Tacks, int ntpt, const double* ticklim, const CAxis* A);
    std::string ps_accu; //!< Main Postscript cache.
    std::string ps_Doc; //!< Special Postscript cache for doc lines ?.
};
